<?php
	//
	$LIMPIAR=0;
	//
	$SYS_FOC="Nom";//Primer control en recibir el focus
	//
	$Nom=V($_POST['Nom']);	
	$Hab=V($_POST['Hab']);	
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$Nom=gs("tip_nom","web_productos_tipos","id_tip=$Id");
		$Hab=gs("tip_hab","web_productos_tipos","id_tip=$Id");
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		//
	}
	//
	if($StrCmd=="G"){
		if(GetC("web_productos_tipos","tip_nom='$Nom'")>0){
			$SYS_MSG="Tipo de producto ya registrado";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$Id=GenId("id_tip","web_productos_tipos");
			$s="INSERT INTO web_productos_tipos VALUES ($Id,'$Nom','$Hab')";
			ejt($s);
			//
			$SYS_MSG="Datos registrados";
			$SYS_FOC="Nom";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="M"){
		if(GetC("web_productos_tipos","tip_nom='$Nom' AND id_tip<>$StrId")>0){
			$SYS_MSG="Tipo de producto ya registrado";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}		
		//
		if(strlen($StrGT)==0){
			$s="UPDATE web_productos_tipos 
				SET tip_nom='$Nom',
					tip_hab='$Hab' 
				WHERE id_tip=$StrId";
			ejt($s);
			//
			$SYS_MSG="Datos actualizados";
			$SYS_FOC="Nom";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="E"){		
		if(GetC("web_productos_tipos_det","td_id_tip=$StrId")>0){
			$SYS_MSG="El tipo de producto esta relacionado a uno o mas sub tipos";
			$SYS_FOC="Nom";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$s="DELETE FROM web_productos_tipos WHERE id_tip=$StrId";	
			ejt($s);
			//
			$SYS_MSG="Registro Eliminado";
			$SYS_FOC="Nom";
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}
	//////////////////////////////////
	if($LIMPIAR==1){
		$StrId="";
		$Nom="";
		$Hab="";
	}
	//////////////////////////////////	
?>